All Questions

Tagged with
Filter by
Sorted by
Tagged with
2
votes
0answers
63 views

Disable ipython show output in minibuffer

I am using Ipython 3.6.3 with Emacs(elpy enabled) 25.2.2 on Kubuntu 17.10. I realize that sometimes output of Ipython keep showing at minibuffer, which is very annoying. But, I cannot find the value ...
3
votes
2answers
1k views

how to set ipython on a virtualenv?

I'm using elpy for my python coding. I wanted to try ipython because of the nice built in profilers. So what I've done is to install ipython within my virtualenv. It works correctly. I then added the ...
3
votes
1answer
239 views

ipython in emacs: Figure windows “not responding” on Windows 7

I am trying to get a good setup to do scientific python on windows 7. To be complete, I am using Anaconda for Python package management, and emacs 25.2 (the native windows build from GNU, not the ...
5
votes
1answer
725 views

Ipython completion in elpy

My elpy uses ipython as the interactive interpreter. It does not, however, emulate ipython's history-informed autocomplete feature (for lack of a better term). That is: within an ipython session ...
2
votes
0answers
118 views

Lisp error with elpy under Python 3

I've had my emacs (v. 25.1.1) working with elpy (1.13) under Python 2.7 for a while. I decided to switch to Python 3 recently, and cannot get it to interact with emacs properly. Normally, when I ...
3
votes
2answers
662 views

Emacs freezes with ipython 5.0.0

My problem is Emacs with elpy, specifically with (elpy-use-ipython) in my init file. When I try to open a python file, emacs freezes. I desactivate ipython and emacs runs well. But I wanna use ...
2
votes
1answer
1k views

elpy with ipython as rpc — how to get good autocompletion

I'm using elpy with emacs and python3. Here's the relevant part of my .emacs: ;; PYTHON (elpy-enable) (setq elpy-rpc-python-command "python3") (elpy-use-ipython "ipython3") (autoload 'jedi:setup "...
18
votes
2answers
15k views

How to set up elpy to use python3?

When setting up my emacs for a new work environment, I am unable to get the elpy configuration to correctly use python 3. I have installed all of the required packages in /usr/local/bin and have ...